pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/bulk Remove old .bulk-not_available (NOT_AVAILABLE_...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/daddf445fff6
branches:  trunk
changeset: 524638:daddf445fff6
user:      kristerw <kristerw%pkgsrc.org@localhost>
date:      Sun Jan 28 19:23:22 2007 +0000

description:
Remove old .bulk-not_available (NOT_AVAILABLE_FILE) files that are left
from previous run.

diffstat:

 mk/bulk/pre-build |  8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diffs (30 lines):

diff -r 252f46f7e18d -r daddf445fff6 mk/bulk/pre-build
--- a/mk/bulk/pre-build Sun Jan 28 16:49:28 2007 +0000
+++ b/mk/bulk/pre-build Sun Jan 28 19:23:22 2007 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: pre-build,v 1.65 2007/01/24 02:48:51 rillig Exp $
+# $NetBSD: pre-build,v 1.66 2007/01/28 19:23:22 kristerw Exp $
 #
 # Clean up system to be ready for bulk pkg build
 #
@@ -34,6 +34,11 @@
        echo "pre-build> Had problems determining the name of the .broken files"
        exit 1
 fi
+NOTAVAILF=`( cd ${PKGLINT_PKG_DIR} ; ${BMAKE} show-var VARNAME=NOT_AVAILABLE_FILE )`;
+if [ "$NOTAVAILF" = "" ]; then
+       echo "pre-build> Had problems determining the name of the .bulk-not_available files"
+       exit 1
+fi
 BRKWRKLOG=`( cd ${PKGLINT_PKG_DIR} ; ${BMAKE} show-var VARNAME=BROKENWRKLOG )`;
 if [ "$BRKWRKLOG" = "" ]; then
        echo "pre-build> Had problems determining the name of the .broken.work files"
@@ -167,6 +172,7 @@
 cd "${USR_PKGSRC}"
 echo "pre-build> Cleaning up leftover state files from previous runs"
 rm -f "${BULKFILESDIR}"/*/*/$BROKENF "${BULKFILESDIR}"/*/*/$BRKWRKLOG "${BULKFILESDIR}"/*/*/$BLDLOG
+rm -f "${BULKFILESDIR}"/*/*/$NOTAVAILF
 rm -f "${BULKFILESDIR}/$BROKENF" "${BULKFILESDIR}/$BRKWRKLOG" "${BULKFILESDIR}/$BLDLOG" "$STARTFILE"
 
 



Home | Main Index | Thread Index | Old Index